# gtk3-demo

GTK+ Developer Matthias Clasen
gtk3-demo
1
User Commands

# gtk3-demo

Demonstrate GTK+ widgets

    gtk3-demo
    --help
    --list
    --run EXAMPLE
    --autoquit

## Description

`gtk3-demo` is a collection of examples. Its purpose is to demonstrate many GTK+ widgets in a form that is useful to application developers.

The application shows the source code for each example, as well as other used resources, such as ui files and icons.

## Options

The following options are understood:

`-h`, `--help`

  Show help options

`--list`

  List available examples.

`-run EXAMPLE`

  Run the named example. Use `--list` to see the available examples.

`--autoquit`

  Quit after a short timeout. This is intended for use with `--run`, e.g. when profiling.